Subject: Re: [PATCH v11 04/12] scs: disable when function graph tracing is enabled

From: Steven Rostedt <[email-masked]>
Date: Mon, 20 Apr 2020 15:23:06 -0400

On Fri, 17 Apr 2020 16:46:14 +0100
Mark Rutland <[email-masked]> wrote:

> > > > And doesn't BPF also do stuff like this?  
> > > 
> > > Can BPF mess with return addresses now!?  
> > 
> > At least on x86 I think it does. But what do I know, I can't operate
> > that stuff. Rostedt might know.  
> 
> Sounds like I might need to do some digging...

May want to ping Alexei. It appears that if BPF adds a direct hook to a
function, it will prevent the function graph tracer from tracing it. :-/

-- Steve

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel